<?php
//Incluimos conexion a la base de 
date_default_timezone_set('America/Lima');
require "../config/Conexion.php";

Class Contrato
{
  //Implementando nuestro constructor
  public function __construct()
  {
  }
    public function listarContratosPorCliente($idcliente,$tipo_servicio)
    {
        $fechahoy=date("Y-m-d");
                $sql = "SELECT 
                    c.idcontrato,
                    p.nombre_plan,
                    c.nrocontrato,
                    c.sit_contrato,
                    c.paga,
                    t.nombre AS tecnologia,
                    c.fechapago,
                    c.montomensualidad,
                    c.paga,
                    c.modalidad,
                    (
                        SELECT SUM(cu.monto + cu.montocuota)
                        FROM cuota cu
                        WHERE cu.idcontrato = c.idcontrato
                        AND DATE(cu.fecha_pago) <= '$fechahoy'
                        AND cu.estado_cuota = '1'
                        AND cu.estado_contrato = '1'
                    ) AS monto_deuda
                FROM contrato c
                JOIN planes p ON c.idplan = p.idplan
                JOIN tecnologia t ON t.idtecnologia = c.idtecnologia
                WHERE c.idcliente = '$idcliente'
                AND c.idservicio = '$tipo_servicio'";
                return ejecutarConsulta($sql);
    }

    public function listar_activos() {
    $sql = "SELECT * FROM slider ORDER BY idslider DESC";
    $rspta = ejecutarConsulta($sql); // Asegúrate que esta función existe y retorna un mysqli_result

    return $rspta;
}

    public function selectContrato($idpersona) {
        $sql = "SELECT * FROM contrato WHERE idcliente='$idpersona'";
        return ejecutarConsulta($sql); // usa tu helper de conexión
    }

}